/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { DomainChart } from "./DomainChart";
import { fromEnum, enumGetBox, markType } from "igniteui-react-core";
import { HorizontalAlignment_$type } from "igniteui-react-core";
import { VerticalAlignment_$type } from "igniteui-react-core";
import { Visibility_$type } from "igniteui-react-core";
import { ValueAxisLabelLocation_$type } from "./ValueAxisLabelLocation";
import { AngleAxisLabelLocation_$type } from "./AngleAxisLabelLocation";
import { AxisLabelSettings } from "./AxisLabelSettings";
import { AxisDefaults } from "./AxisDefaults";
import { TitleSettings } from "./TitleSettings";
import { ScalerParams } from "./ScalerParams";
import { DeviceUtils } from "igniteui-react-core";
/**
 * @hidden
 */
export let RadialBaseChart = /*@__PURE__*/ (() => {
    class RadialBaseChart extends DomainChart {
        constructor() {
            super(...arguments);
            this.zc = null;
            this.zd = null;
            this.zr = 0;
            this.zt = 5;
            this.zs = 0;
            this.zq = 5;
            this.z8 = 5;
            this.aaa = 0;
            this.z9 = 5;
            this.z7 = 0;
            this.ae1 = null;
            this.ae8 = null;
            this.aez = null;
            this.ae0 = null;
            this.z2 = 0;
            this.aaj = 0;
            this.z1 = NaN;
            this.aai = NaN;
            this.z4 = NaN;
            this.aal = NaN;
            this.z3 = NaN;
            this.aak = NaN;
            this.z0 = NaN;
            this.aah = NaN;
            this.ae7 = null;
            this.afe = null;
            this.abt = null;
            this.abx = null;
            this.abv = null;
            this.abz = null;
            this.abo = null;
            this.abp = null;
            this.ae2 = null;
            this.ae9 = null;
            this.zu = DeviceUtils.g(1);
            this.aab = DeviceUtils.g(1);
            this.zv = DeviceUtils.g(1);
            this.aac = DeviceUtils.g(1);
            this.ae4 = null;
            this.afb = null;
            this.ae5 = null;
            this.afc = null;
            this.zw = DeviceUtils.g(1);
            this.aad = DeviceUtils.g(1);
            this.zx = DeviceUtils.g(8);
            this.aae = 0;
            this.ae6 = null;
            this.afd = null;
            this.zy = DeviceUtils.g(1);
            this.aaf = DeviceUtils.g(1);
            this.abu = null;
            this.aby = null;
            this.ae3 = null;
            this.afa = null;
            this.zp = 0;
            this.z6 = 0;
            this.zo = NaN;
            this.z5 = NaN;
            this.zz = 0;
            this.aag = -90;
            this.zk = false;
            this.zl = false;
            this.aeu = 1;
            this.afx = 1;
            this.aet = 1;
            this.aev = 2;
            this.afv = 0;
            this.afw = 1;
            this.af1 = 0;
            this.af2 = 0;
            this.zi = 4;
            this.y8 = 4;
            this.abs = null;
            this.y4 = null;
            this.abw = null;
            this.y5 = null;
        }
        provideContainer(a) {
            if (a != null) {
                let b = this.za();
                let c = this.zb();
                if (b != null) {
                    b.provideRenderer(a);
                }
                if (c != null) {
                    c.provideRenderer(a);
                }
            }
            super.provideContainer(a);
        }
        ur() {
            super.ur();
            let a = this.za();
            let b = this.zb();
            if (a != null && a.az != null) {
                this.afh = a.az.textColor;
            }
            if (b != null && b.az != null) {
                this.afo = b.az.textColor;
            }
            this.afm = AxisDefaults.j;
            this.aft = AxisDefaults.j;
            this.afi = AxisDefaults.h;
            this.afp = AxisDefaults.h;
            this.afl = AxisDefaults.g;
            this.afs = AxisDefaults.g;
        }
        vi(a, b, c) {
            super.vi(a, b, c);
            switch (a) {
                case "AngleAxisLabelLeftMargin":
                    this.ael((d) => d.leftMargin = this.aap);
                    break;
                case "AngleAxisLabelTopMargin":
                    this.ael((d) => d.topMargin = this.aar);
                    break;
                case "AngleAxisLabelRightMargin":
                    this.ael((d) => d.rightMargin = this.aaq);
                    break;
                case "AngleAxisLabelBottomMargin":
                    this.ael((d) => d.bottomMargin = this.aao);
                    break;
                case "ValueAxisLabelLeftMargin":
                    this.aeq((d) => d.leftMargin = this.aba);
                    break;
                case "ValueAxisLabelTopMargin":
                    this.aeq((d) => d.topMargin = this.abc);
                    break;
                case "ValueAxisLabelRightMargin":
                    this.aeq((d) => d.rightMargin = this.abb);
                    break;
                case "ValueAxisLabelBottomMargin":
                    this.aeq((d) => d.bottomMargin = this.aa9);
                    break;
                case "ActualItemsSource":
                case "ShouldDisplayMockData":
                case "ShouldUseSkeletonStyleForMockData":
                    this.aff = this.x4(this.afh);
                    this.afg = this.x4(this.afo);
                    break;
                case "AngleAxisLabelTextColor":
                    this.aff = this.x4(this.afh);
                    break;
                case "ValueAxisLabelTextColor":
                    this.afg = this.x4(this.afo);
                    break;
                case "ActualAngleAxisLabelTextColor":
                    this.ael((d) => d.textColor = this.aff);
                    break;
                case "ActualValueAxisLabelTextColor":
                    this.aeq((d) => d.textColor = this.afg);
                    break;
                case "AngleAxisTitleMargin":
                    this.aen((d) => d.margin = this.aa0);
                    break;
                case "ValueAxisTitleMargin":
                    this.aes((d) => d.margin = this.abl);
                    break;
                case "AngleAxisTitleLeftMargin":
                    this.aen((d) => d.leftMargin = this.aaz);
                    break;
                case "ValueAxisTitleLeftMargin":
                    this.aes((d) => d.leftMargin = this.abk);
                    break;
                case "AngleAxisTitleTopMargin":
                    this.aen((d) => d.topMargin = this.aa2);
                    break;
                case "ValueAxisTitleTopMargin":
                    this.aes((d) => d.topMargin = this.abn);
                    break;
                case "AngleAxisTitleRightMargin":
                    this.aen((d) => d.rightMargin = this.aa1);
                    break;
                case "ValueAxisTitleRightMargin":
                    this.aes((d) => d.rightMargin = this.abm);
                    break;
                case "AngleAxisTitleBottomMargin":
                    this.aen((d) => d.bottomMargin = this.aay);
                    break;
                case "ValueAxisTitleBottomMargin":
                    this.aes((d) => d.bottomMargin = this.abj);
                    break;
                case "AngleAxisTitleTextColor":
                    this.aen((d) => d.textColor = this.afn);
                    break;
                case "ValueAxisTitleTextColor":
                    this.aes((d) => d.textColor = this.afu);
                    break;
                case "AngleAxisFormatLabel":
                    this.aej((d) => d.au = this.ze);
                    break;
                case "ValueAxisFormatLabel":
                    this.aeo((d) => d.au = this.zf);
                    break;
            }
        }
        get ze() {
            return this.zc;
        }
        set ze(a) {
            let b = this.ze;
            if (a != b) {
                this.zc = a;
                this.vf("AngleAxisFormatLabel", b, this.ze);
            }
        }
        get zf() {
            return this.zd;
        }
        set zf(a) {
            let b = this.zf;
            if (a != b) {
                this.zd = a;
                this.vf("ValueAxisFormatLabel", b, this.zf);
            }
        }
        get aap() {
            return this.zr;
        }
        set aap(a) {
            let b = this.aap;
            if (a != b) {
                this.zr = a;
                this.vf("AngleAxisLabelLeftMargin", b, this.aap);
            }
        }
        get aar() {
            return this.zt;
        }
        set aar(a) {
            let b = this.aar;
            if (a != b) {
                this.zt = a;
                this.vf("AngleAxisLabelTopMargin", b, this.aar);
            }
        }
        get aaq() {
            return this.zs;
        }
        set aaq(a) {
            let b = this.aaq;
            if (a != b) {
                this.zs = a;
                this.vf("AngleAxisLabelRightMargin", b, this.aaq);
            }
        }
        get aao() {
            return this.zq;
        }
        set aao(a) {
            let b = this.aao;
            if (a != b) {
                this.zq = a;
                this.vf("AngleAxisLabelBottomMargin", b, this.aao);
            }
        }
        get aba() {
            return this.z8;
        }
        set aba(a) {
            let b = this.aba;
            if (a != b) {
                this.z8 = a;
                this.vf("ValueAxisLabelLeftMargin", b, this.aba);
            }
        }
        get abc() {
            return this.aaa;
        }
        set abc(a) {
            let b = this.abc;
            if (a != b) {
                this.aaa = a;
                this.vf("ValueAxisLabelTopMargin", b, this.abc);
            }
        }
        get abb() {
            return this.z9;
        }
        set abb(a) {
            let b = this.abb;
            if (a != b) {
                this.z9 = a;
                this.vf("ValueAxisLabelRightMargin", b, this.abb);
            }
        }
        get aa9() {
            return this.z7;
        }
        set aa9(a) {
            let b = this.aa9;
            if (a != b) {
                this.z7 = a;
                this.vf("ValueAxisLabelBottomMargin", b, this.aa9);
            }
        }
        get afh() {
            return this.ae1;
        }
        set afh(a) {
            let b = this.afh;
            if (a != b) {
                this.ae1 = a;
                this.vf("AngleAxisLabelTextColor", b, this.afh);
            }
        }
        get afo() {
            return this.ae8;
        }
        set afo(a) {
            let b = this.afo;
            if (a != b) {
                this.ae8 = a;
                this.vf("ValueAxisLabelTextColor", b, this.afo);
            }
        }
        get aff() {
            return this.aez;
        }
        set aff(a) {
            let b = this.aez;
            if (a != b) {
                this.aez = a;
                this.vf("ActualAngleAxisLabelTextColor", b, this.aff);
            }
        }
        get afg() {
            return this.ae0;
        }
        set afg(a) {
            let b = this.ae0;
            if (a != b) {
                this.ae0 = a;
                this.vf("ActualValueAxisLabelTextColor", b, this.afg);
            }
        }
        get aa0() {
            return this.z2;
        }
        set aa0(a) {
            let b = this.aa0;
            if (a != b) {
                this.z2 = a;
                this.vf("AngleAxisTitleMargin", b, this.aa0);
            }
        }
        get abl() {
            return this.aaj;
        }
        set abl(a) {
            let b = this.abl;
            if (a != b) {
                this.aaj = a;
                this.vf("ValueAxisTitleMargin", b, this.abl);
            }
        }
        get aaz() {
            return this.z1;
        }
        set aaz(a) {
            let b = this.aaz;
            if (a != b) {
                this.z1 = a;
                this.vf("AngleAxisTitleLeftMargin", b, this.aaz);
            }
        }
        get abk() {
            return this.aai;
        }
        set abk(a) {
            let b = this.abk;
            if (a != b) {
                this.aai = a;
                this.vf("ValueAxisTitleLeftMargin", b, this.abk);
            }
        }
        get aa2() {
            return this.z4;
        }
        set aa2(a) {
            let b = this.aa2;
            if (a != b) {
                this.z4 = a;
                this.vf("AngleAxisTitleTopMargin", b, this.aa2);
            }
        }
        get abn() {
            return this.aal;
        }
        set abn(a) {
            let b = this.abn;
            if (a != b) {
                this.aal = a;
                this.vf("ValueAxisTitleTopMargin", b, this.abn);
            }
        }
        get aa1() {
            return this.z3;
        }
        set aa1(a) {
            let b = this.aa1;
            if (a != b) {
                this.z3 = a;
                this.vf("AngleAxisTitleRightMargin", b, this.aa1);
            }
        }
        get abm() {
            return this.aak;
        }
        set abm(a) {
            let b = this.abm;
            if (a != b) {
                this.aak = a;
                this.vf("ValueAxisTitleRightMargin", b, this.abm);
            }
        }
        get aay() {
            return this.z0;
        }
        set aay(a) {
            let b = this.aay;
            if (a != b) {
                this.z0 = a;
                this.vf("AngleAxisTitleBottomMargin", b, this.aay);
            }
        }
        get abj() {
            return this.aah;
        }
        set abj(a) {
            let b = this.abj;
            if (a != b) {
                this.aah = a;
                this.vf("ValueAxisTitleBottomMargin", b, this.abj);
            }
        }
        get afn() {
            return this.ae7;
        }
        set afn(a) {
            let b = this.afn;
            if (a != b) {
                this.ae7 = a;
                this.vf("AngleAxisTitleTextColor", b, this.afn);
            }
        }
        get afu() {
            return this.afe;
        }
        set afu(a) {
            let b = this.afu;
            if (a != b) {
                this.afe = a;
                this.vf("ValueAxisTitleTextColor", b, this.afu);
            }
        }
        vj(a, b, c) {
            super.vj(a, b, c);
            switch (a) {
                case "AngleAxisLabelTextStyle":
                    this.ael((d) => d.textStyle = this.acg);
                    break;
                case "ValueAxisLabelTextStyle":
                    this.aeq((d) => d.textStyle = this.adm);
                    break;
                case "AngleAxisTitleTextStyle":
                    this.aen((d) => d.textStyle = this.ac4);
                    break;
                case "ValueAxisTitleTextStyle":
                    this.aes((d) => d.textStyle = this.aea);
                    break;
            }
        }
        get acg() {
            return this.abt;
        }
        set acg(a) {
            let b = this.acg;
            if (a != b) {
                this.abt = a;
                this.vf("AngleAxisLabelTextStyle", b, this.acg);
            }
        }
        get adm() {
            return this.abx;
        }
        set adm(a) {
            let b = this.adm;
            if (a != b) {
                this.abx = a;
                this.vf("ValueAxisLabelTextStyle", b, this.adm);
            }
        }
        get ac4() {
            return this.abv;
        }
        set ac4(a) {
            let b = this.ac4;
            if (a != b) {
                this.abv = a;
                this.vf("AngleAxisTitleTextStyle", b, this.ac4);
            }
        }
        get aea() {
            return this.abz;
        }
        set aea(a) {
            let b = this.aea;
            if (a != b) {
                this.abz = a;
                this.vf("ValueAxisTitleTextStyle", b, this.aea);
            }
        }
        aeg(a) {
            this.aed(a, (b) => b.leftMargin = this.aap);
            this.aed(a, (b) => b.topMargin = this.aar);
            this.aed(a, (b) => b.rightMargin = this.aaq);
            this.aed(a, (b) => b.bottomMargin = this.aao);
            this.aed(a, (b) => b.textColor = this.aff);
            this.aee(a, (b) => b.textColor = this.afn);
            this.aee(a, (b) => b.leftMargin = this.aaz);
            this.aee(a, (b) => b.topMargin = this.aa2);
            this.aee(a, (b) => b.rightMargin = this.aa1);
            this.aee(a, (b) => b.bottomMargin = this.aay);
            this.aed(a, (b) => b.textStyle = this.acg);
            this.aee(a, (b) => b.textStyle = this.ac4);
        }
        aei(a) {
            this.aed(a, (b) => b.leftMargin = this.aba);
            this.aed(a, (b) => b.topMargin = this.abc);
            this.aed(a, (b) => b.rightMargin = this.abb);
            this.aed(a, (b) => b.bottomMargin = this.aa9);
            this.aed(a, (b) => b.textColor = this.afg);
            this.aee(a, (b) => b.textColor = this.afu);
            this.aee(a, (b) => b.leftMargin = this.abk);
            this.aee(a, (b) => b.topMargin = this.abn);
            this.aee(a, (b) => b.rightMargin = this.abm);
            this.aee(a, (b) => b.bottomMargin = this.abj);
            this.aed(a, (b) => b.textStyle = this.adm);
            this.aee(a, (b) => b.textStyle = this.aea);
        }
        v3(a) {
            let b = this.bi(a);
            let c = this.da(a, b);
            if (c == null) {
                return;
            }
            c.itemsSource = this.hw(a);
            if (a.highlightedData != null) {
                c.highlightedItemsSource = this.hx(a);
            }
            c.name = this.qe(a);
            c.title = this.qf(a, b);
            this.dataChart.series.add(c);
        }
        aej(a) {
            this.aek(a, null);
        }
        aek(a, b) {
            a(this.za());
        }
        aep(a, b) {
            a(this.zb());
        }
        aeo(a) {
            this.aep(a, true);
        }
        ub(a, b) {
            this.aej(a);
            this.aep(a, b);
        }
        aen(a) {
            this.aee(this.za(), a);
        }
        aes(a) {
            this.aee(this.zb(), a);
        }
        aeq(a) {
            this.aed(this.zb(), a);
        }
        ael(a) {
            this.aed(this.za(), a);
        }
        aa3(a) {
            let b = this.za();
            return b.ek(a, new ScalerParams(1, this.yd, this.yc, b.ch));
        }
        aa5(a) {
            let b = this.za();
            return b.en(a, new ScalerParams(1, this.yd, this.yc, b.ch));
        }
        aa4(a) {
            let b = this.zb();
            return b.ek(a, new ScalerParams(1, this.yd, this.yc, b.ch));
        }
        aa6(a) {
            let b = this.zb();
            return b.en(a, new ScalerParams(1, this.yd, this.yc, b.ch));
        }
        v0(a) {
            super.v0(a);
            if (a == null) {
                return;
            }
            if (a.axes != null) {
                let b = this.za();
                let c = this.zb();
                if (a.axes.contains(b)) {
                    a.axes.remove(b);
                }
                if (a.axes.contains(c)) {
                    a.axes.remove(c);
                }
            }
        }
        static ac7(a, b) {
            for (let c of fromEnum(b)) {
                let d = c.findMatchingHint(16);
                if (d != null) {
                    let e = d.path;
                    return e;
                }
            }
            return null;
        }
        um(a, b) {
            super.um(a, b);
            if (a == this.dataChart) {
                this.dataChart.axes.add(this.za());
                this.dataChart.axes.add(this.zb());
            }
        }
        aef(a) {
            if (a != null && this.lo != null && a.fm == null) {
                a.provideRenderer(this.lo);
            }
            a.jx = this.afi;
            a.es = this.aas;
            a.jy = this.afj;
            a.ev = this.aat;
            a.j0 = this.afl;
            a.fh = this.aau;
            a.jz = this.afk;
            a.fi = this.aav;
            a.j1 = this.afm;
            a.fj = this.aaw;
            a.c4 = true;
            a.cu = this.ha;
            a.cw = this.ha;
            let b = a == this.za();
            if (b) {
                a.g7 = this.acv;
            }
            a.f1 = this.abq;
            a.gh = this.ab7;
            a.ah = this.y6;
            this.aed(a, (c) => c.angle = this.aan);
            this.aed(a, (c) => {
                if (c.extent != this.aam) {
                    c.extent = this.aam;
                }
            });
            this.aed(a, (c) => c.horizontalAlignment = this.aew);
            this.aed(a, (c) => c.verticalAlignment = this.afy);
            this.aed(a, (c) => c.visibility = this.af3);
            this.aed(a, (c) => c.location = this.zg(this.y9));
            this.aee(a, (c) => c.horizontalAlignment = this.aex);
            this.aee(a, (c) => c.angle = this.aax);
            this.aeg(a);
        }
        aeh(a) {
            if (a == null) {
                return;
            }
            if (this.lo != null && a.fm == null) {
                a.provideRenderer(this.lo);
            }
            a.cu = this.ha;
            a.cw = this.ha;
            this.aed(a, (b) => b.angle = this.aa8);
            this.aed(a, (b) => {
                if (b.extent != this.aa7) {
                    b.extent = this.aa7;
                }
            });
            this.aed(a, (b) => b.horizontalAlignment = this.aey);
            this.aed(a, (b) => b.verticalAlignment = this.afz);
            this.aed(a, (b) => b.visibility = this.af4);
            this.aed(a, (b) => b.location = this.zh(this.zj));
            this.aee(a, (b) => b.verticalAlignment = this.af0);
            this.aee(a, (b) => b.angle = this.abi);
            a.jx = this.afp;
            a.es = this.abd;
            a.jy = this.afq;
            a.ev = this.abe;
            a.j0 = this.afs;
            a.fh = this.abf;
            a.jz = this.afr;
            a.fi = this.abg;
            a.j1 = this.aft;
            a.fj = this.abh;
            let b = a == this.zb();
            if (b) {
                a.g7 = this.ad1;
            }
            a.gh = this.add;
            a.ah = this.y7;
            this.aei(a);
        }
        uj() {
            super.uj();
            this.aef(this.za());
            this.aeh(this.zb());
        }
        aed(a, b) {
            if (a == null) {
                return;
            }
            if (a.az == null) {
                a.az = new AxisLabelSettings();
                a.az.angle = a.d6();
                a.az.bottomMargin = a.d7();
                a.az.leftMargin = a.d8();
                a.az.rightMargin = a.d9();
                a.az.topMargin = a.ea();
                a.az.horizontalAlignment = a.js();
                a.az.location = a.a0();
                a.az.verticalAlignment = a.kl();
            }
            b(a.az);
        }
        aee(a, b) {
            if (a == null) {
                return;
            }
            if (a.bf == null) {
                a.bf = new TitleSettings();
                a.bf.bottomMargin = a.ec();
                a.bf.leftMargin = a.ed();
                a.bf.rightMargin = a.ee();
                a.bf.topMargin = a.ef();
                a.bf.location = a.a1();
                a.bf.angle = a.eb();
                a.bf.horizontalAlignment = a.jt();
                a.bf.verticalAlignment = a.km();
            }
            b(a.bf);
        }
        vf(a, b, c) {
            super.vf(a, b, c);
            switch (a) {
                case "AngleAxisLabelAngle":
                    this.ael((d) => d.angle = this.aan);
                    break;
                case "ValueAxisLabelAngle":
                    this.aeq((d) => d.angle = this.aa8);
                    break;
                case "AngleAxisLabelHorizontalAlignment":
                    this.ael((d) => d.horizontalAlignment = this.aew);
                    break;
                case "ValueAxisLabelHorizontalAlignment":
                    this.aeq((d) => d.horizontalAlignment = this.aey);
                    break;
                case "AngleAxisLabelVerticalAlignment":
                    this.ael((d) => d.verticalAlignment = this.afy);
                    break;
                case "ValueAxisLabelVerticalAlignment":
                    this.aeq((d) => d.verticalAlignment = this.afz);
                    break;
                case "AngleAxisLabelVisibility":
                    this.ael((d) => d.visibility = this.af3);
                    break;
                case "ValueAxisLabelVisibility":
                    this.aeq((d) => d.visibility = this.af4);
                    break;
                case "AngleAxisLabel":
                    this.aej((d) => d.f1 = this.abq);
                    break;
                case "ValueAxisLabel":
                    this.aeo((d) => d.f1 = this.abr);
                    break;
                case "AngleAxisLabelFormat":
                    this.aej((d) => d.gh = this.ab7);
                    break;
                case "AngleAxisLabelFormatSpecifiers":
                    this.aej((d) => d.ah = this.y6);
                    break;
                case "ValueAxisLabelFormat":
                    this.aeo((d) => d.gh = this.add);
                    break;
                case "ValueAxisLabelFormatSpecifiers":
                    this.aeo((d) => d.ah = this.y7);
                    break;
                case "AngleAxisTitleAngle":
                    this.aen((d) => d.angle = this.aax);
                    break;
                case "ValueAxisTitleAngle":
                    this.aes((d) => d.angle = this.abi);
                    break;
                case "AngleAxisTitleAlignment":
                    this.aen((d) => d.horizontalAlignment = this.aex);
                    break;
                case "ValueAxisTitleAlignment":
                    this.aes((d) => d.verticalAlignment = this.af0);
                    break;
                case "AngleAxisTitle":
                    this.aej((d) => d.g7 = this.acv);
                    break;
                case "ValueAxisTitle":
                    this.aep((d) => d.g7 = this.ad1, false);
                    break;
                case "AngleAxisMajorStroke":
                    this.aek((d) => d.jx = this.afi, a);
                    break;
                case "ValueAxisMajorStroke":
                    this.aeo((d) => d.jx = this.afp);
                    break;
                case "AngleAxisMajorStrokeThickness":
                    this.aek((d) => d.es = this.aas, a);
                    break;
                case "ValueAxisMajorStrokeThickness":
                    this.aeo((d) => d.es = this.abd);
                    break;
                case "AngleAxisMinorStroke":
                    this.aej((d) => d.jy = this.afj);
                    break;
                case "ValueAxisMinorStroke":
                    this.aeo((d) => d.jy = this.afq);
                    break;
                case "AngleAxisMinorStrokeThickness":
                    this.aej((d) => d.ev = this.aat);
                    break;
                case "ValueAxisMinorStrokeThickness":
                    this.aeo((d) => d.ev = this.abe);
                    break;
                case "AngleAxisTickLength":
                    this.aej((d) => d.fi = this.aav);
                    break;
                case "ValueAxisTickLength":
                    this.aeo((d) => d.fi = this.abg);
                    break;
                case "AngleAxisTickStroke":
                    this.aej((d) => d.j1 = this.afm);
                    break;
                case "ValueAxisTickStroke":
                    this.aeo((d) => d.j1 = this.aft);
                    break;
                case "AngleAxisTickStrokeThickness":
                    this.aej((d) => d.fj = this.aaw);
                    break;
                case "ValueAxisTickStrokeThickness":
                    this.aeo((d) => d.fj = this.abh);
                    break;
                case "AngleAxisStroke":
                    this.aej((d) => d.j0 = this.afl);
                    break;
                case "ValueAxisStroke":
                    this.aeo((d) => d.j0 = this.afs);
                    break;
                case "AngleAxisStrokeThickness":
                    this.aej((d) => d.fh = this.aau);
                    break;
                case "ValueAxisStrokeThickness":
                    this.aeo((d) => d.fh = this.abf);
                    break;
                case "AngleAxisExtent":
                    this.ael((d) => d.extent = this.aam);
                    break;
                case "ValueAxisExtent":
                    this.aeq((d) => d.extent = this.aa7);
                    break;
                case "AngleAxisStrip":
                    this.aej((d) => d.jz = this.afk);
                    break;
                case "ValueAxisStrip":
                    this.aeo((d) => d.jz = this.afr);
                    break;
                case "AngleAxisInverted":
                    this.aej((d) => d.ch = this.zm);
                    break;
                case "ValueAxisInverted":
                    this.aeo((d) => d.ch = this.zn);
                    break;
                case "ValueAxisLabelLocation":
                    this.aer();
                    break;
                case "AngleAxisLabelLocation":
                    this.aem();
                    break;
            }
        }
        aer() {
            let a = this.zh(this.zj);
            if (a == 2 || a == 7) {
                this.aey = 2;
            }
            else {
                this.aey = 0;
            }
            this.aeq((b) => b.location = a);
        }
        aem() {
            let a = this.zg(this.y9);
            if (a == 1 || a == 5) {
                this.afy = 0;
            }
            else {
                this.afy = 2;
            }
            this.ael((b) => b.location = a);
        }
        zh(a) {
            if (a == 0) {
                return 2;
            }
            else if (a == 1) {
                return 3;
            }
            else if (a == 3) {
                return 7;
            }
            else if (a == 2) {
                return 6;
            }
            else {
                if (this.b9 == 1) {
                    return 3;
                }
                else {
                    return 2;
                }
            }
        }
        zg(a) {
            if (a == 1) {
                return 1;
            }
            else if (a == 0) {
                return 0;
            }
            else if (a == 3) {
                return 5;
            }
            else if (a == 2) {
                return 4;
            }
            else {
                return 1;
            }
        }
        get abq() {
            return this.abo;
        }
        set abq(a) {
            let b = this.abq;
            if (a != b) {
                this.abo = a;
                this.vf("AngleAxisLabel", b, this.abq);
            }
        }
        get abr() {
            return this.abp;
        }
        set abr(a) {
            let b = this.abr;
            if (a != b) {
                this.abp = a;
                this.vf("ValueAxisLabel", b, this.abr);
            }
        }
        get afi() {
            return this.ae2;
        }
        set afi(a) {
            let b = this.afi;
            if (a != b) {
                this.ae2 = a;
                this.vf("AngleAxisMajorStroke", b, this.afi);
            }
        }
        get afp() {
            return this.ae9;
        }
        set afp(a) {
            let b = this.afp;
            if (a != b) {
                this.ae9 = a;
                this.vf("ValueAxisMajorStroke", b, this.afp);
            }
        }
        get aas() {
            return this.zu;
        }
        set aas(a) {
            let b = this.aas;
            if (a != b) {
                this.zu = a;
                this.vf("AngleAxisMajorStrokeThickness", b, this.aas);
            }
        }
        get abd() {
            return this.aab;
        }
        set abd(a) {
            let b = this.abd;
            if (a != b) {
                this.aab = a;
                this.vf("ValueAxisMajorStrokeThickness", b, this.abd);
            }
        }
        get aat() {
            return this.zv;
        }
        set aat(a) {
            let b = this.aat;
            if (a != b) {
                this.zv = a;
                this.vf("AngleAxisMinorStrokeThickness", b, this.aat);
            }
        }
        get abe() {
            return this.aac;
        }
        set abe(a) {
            let b = this.abe;
            if (a != b) {
                this.aac = a;
                this.vf("ValueAxisMinorStrokeThickness", b, this.abe);
            }
        }
        get afk() {
            return this.ae4;
        }
        set afk(a) {
            let b = this.afk;
            if (a != b) {
                this.ae4 = a;
                this.vf("AngleAxisStrip", b, this.afk);
            }
        }
        get afr() {
            return this.afb;
        }
        set afr(a) {
            let b = this.afr;
            if (a != b) {
                this.afb = a;
                this.vf("ValueAxisStrip", b, this.afr);
            }
        }
        get afl() {
            return this.ae5;
        }
        set afl(a) {
            let b = this.afl;
            if (a != b) {
                this.ae5 = a;
                this.vf("AngleAxisStroke", b, this.afl);
            }
        }
        get afs() {
            return this.afc;
        }
        set afs(a) {
            let b = this.afs;
            if (a != b) {
                this.afc = a;
                this.vf("ValueAxisStroke", b, this.afs);
            }
        }
        get aau() {
            return this.zw;
        }
        set aau(a) {
            let b = this.aau;
            if (a != b) {
                this.zw = a;
                this.vf("AngleAxisStrokeThickness", b, this.aau);
            }
        }
        get abf() {
            return this.aad;
        }
        set abf(a) {
            let b = this.abf;
            if (a != b) {
                this.aad = a;
                this.vf("ValueAxisStrokeThickness", b, this.abf);
            }
        }
        get aav() {
            return this.zx;
        }
        set aav(a) {
            let b = this.aav;
            if (a != b) {
                this.zx = a;
                this.vf("AngleAxisTickLength", b, this.aav);
            }
        }
        get abg() {
            return this.aae;
        }
        set abg(a) {
            let b = this.abg;
            if (a != b) {
                this.aae = a;
                this.vf("ValueAxisTickLength", b, this.abg);
            }
        }
        get afm() {
            return this.ae6;
        }
        set afm(a) {
            let b = this.afm;
            if (a != b) {
                this.ae6 = a;
                this.vf("AngleAxisTickStroke", b, this.afm);
            }
        }
        get aft() {
            return this.afd;
        }
        set aft(a) {
            let b = this.aft;
            if (a != b) {
                this.afd = a;
                this.vf("ValueAxisTickStroke", b, this.aft);
            }
        }
        get aaw() {
            return this.zy;
        }
        set aaw(a) {
            let b = this.aaw;
            if (a != b) {
                this.zy = a;
                this.vf("AngleAxisTickStrokeThickness", b, this.aaw);
            }
        }
        get abh() {
            return this.aaf;
        }
        set abh(a) {
            let b = this.abh;
            if (a != b) {
                this.aaf = a;
                this.vf("ValueAxisTickStrokeThickness", b, this.abh);
            }
        }
        get acv() {
            return this.abu;
        }
        set acv(a) {
            let b = this.acv;
            if (a != b) {
                this.abu = a;
                this.vf("AngleAxisTitle", b, this.acv);
            }
        }
        get ad1() {
            return this.aby;
        }
        set ad1(a) {
            let b = this.ad1;
            if (a != b) {
                this.aby = a;
                this.vf("ValueAxisTitle", b, this.ad1);
            }
        }
        get afj() {
            return this.ae3;
        }
        set afj(a) {
            let b = this.afj;
            if (a != b) {
                this.ae3 = a;
                this.vf("AngleAxisMinorStroke", b, this.afj);
            }
        }
        get afq() {
            return this.afa;
        }
        set afq(a) {
            let b = this.afq;
            if (a != b) {
                this.afa = a;
                this.vf("ValueAxisMinorStroke", b, this.afq);
            }
        }
        get aan() {
            return this.zp;
        }
        set aan(a) {
            let b = this.aan;
            if (a != b) {
                this.zp = a;
                this.vf("AngleAxisLabelAngle", b, this.aan);
            }
        }
        get aa8() {
            return this.z6;
        }
        set aa8(a) {
            let b = this.aa8;
            if (a != b) {
                this.z6 = a;
                this.vf("ValueAxisLabelAngle", b, this.aa8);
            }
        }
        get aam() {
            return this.zo;
        }
        set aam(a) {
            let b = this.aam;
            if (a != b) {
                this.zo = a;
                this.vf("AngleAxisExtent", b, this.aam);
            }
        }
        get aa7() {
            return this.z5;
        }
        set aa7(a) {
            let b = this.aa7;
            if (a != b) {
                this.z5 = a;
                this.vf("ValueAxisExtent", b, this.aa7);
            }
        }
        get aax() {
            return this.zz;
        }
        set aax(a) {
            let b = this.aax;
            if (a != b) {
                this.zz = a;
                this.vf("AngleAxisTitleAngle", b, this.aax);
            }
        }
        get abi() {
            return this.aag;
        }
        set abi(a) {
            let b = this.abi;
            if (a != b) {
                this.aag = a;
                this.vf("ValueAxisTitleAngle", b, this.abi);
            }
        }
        get zm() {
            return this.zk;
        }
        set zm(a) {
            let b = this.zm;
            if (a != b) {
                this.zk = a;
                this.vf("AngleAxisInverted", b, this.zm);
            }
        }
        get zn() {
            return this.zl;
        }
        set zn(a) {
            let b = this.zn;
            if (a != b) {
                this.zl = a;
                this.vf("ValueAxisInverted", b, this.zn);
            }
        }
        get aex() {
            return this.aeu;
        }
        set aex(a) {
            let b = this.aex;
            if (a != b) {
                this.aeu = a;
                this.vf("AngleAxisTitleAlignment", enumGetBox(HorizontalAlignment_$type, b), enumGetBox(HorizontalAlignment_$type, this.aex));
            }
        }
        get af0() {
            return this.afx;
        }
        set af0(a) {
            let b = this.af0;
            if (a != b) {
                this.afx = a;
                this.vf("ValueAxisTitleAlignment", enumGetBox(VerticalAlignment_$type, b), enumGetBox(VerticalAlignment_$type, this.af0));
            }
        }
        get aew() {
            return this.aet;
        }
        set aew(a) {
            let b = this.aew;
            if (a != b) {
                this.aet = a;
                this.vf("AngleAxisLabelHorizontalAlignment", enumGetBox(HorizontalAlignment_$type, b), enumGetBox(HorizontalAlignment_$type, this.aew));
            }
        }
        get_aey() {
            return this.aev;
        }
        set_aey(a) {
            let b = this.aey;
            if (a != b) {
                this.aev = a;
                this.vf("ValueAxisLabelHorizontalAlignment", enumGetBox(HorizontalAlignment_$type, b), enumGetBox(HorizontalAlignment_$type, this.aey));
            }
        }
        get aey() {
            return this.get_aey();
        }
        set aey(a) {
            this.set_aey(a);
        }
        get afy() {
            return this.afv;
        }
        set afy(a) {
            let b = this.afy;
            if (a != b) {
                this.afv = a;
                this.vf("AngleAxisLabelVerticalAlignment", enumGetBox(VerticalAlignment_$type, b), enumGetBox(VerticalAlignment_$type, this.afy));
            }
        }
        get afz() {
            return this.afw;
        }
        set afz(a) {
            let b = this.afz;
            if (a != b) {
                this.afw = a;
                this.vf("ValueAxisLabelVerticalAlignment", enumGetBox(VerticalAlignment_$type, b), enumGetBox(VerticalAlignment_$type, this.afz));
            }
        }
        get af3() {
            return this.af1;
        }
        set af3(a) {
            let b = this.af3;
            if (a != b) {
                this.af1 = a;
                this.vf("AngleAxisLabelVisibility", enumGetBox(Visibility_$type, b), enumGetBox(Visibility_$type, this.af3));
            }
        }
        get af4() {
            return this.af2;
        }
        set af4(a) {
            let b = this.af4;
            if (a != b) {
                this.af2 = a;
                this.vf("ValueAxisLabelVisibility", enumGetBox(Visibility_$type, b), enumGetBox(Visibility_$type, this.af4));
            }
        }
        get_zj() {
            return this.zi;
        }
        set_zj(a) {
            let b = this.zj;
            if (a != b) {
                this.zi = a;
                this.vf("ValueAxisLabelLocation", enumGetBox(ValueAxisLabelLocation_$type, b), enumGetBox(ValueAxisLabelLocation_$type, this.zj));
            }
        }
        get zj() {
            return this.get_zj();
        }
        set zj(a) {
            this.set_zj(a);
        }
        get_y9() {
            return this.y8;
        }
        set_y9(a) {
            let b = this.y9;
            if (a != b) {
                this.y8 = a;
                this.vf("AngleAxisLabelLocation", enumGetBox(AngleAxisLabelLocation_$type, b), enumGetBox(AngleAxisLabelLocation_$type, this.y9));
            }
        }
        get y9() {
            return this.get_y9();
        }
        set y9(a) {
            this.set_y9(a);
        }
        get ab7() {
            return this.abs;
        }
        set ab7(a) {
            let b = this.abs;
            if (a != b) {
                this.abs = a;
                this.vf("AngleAxisLabelFormat", b, this.abs);
            }
        }
        get y6() {
            return this.y4;
        }
        set y6(a) {
            let b = this.y4;
            if (a != b) {
                this.y4 = a;
                this.vf("AngleAxisLabelFormatSpecifiers", b, this.y4);
            }
        }
        get add() {
            return this.abw;
        }
        set add(a) {
            let b = this.abw;
            if (a != b) {
                this.abw = a;
                this.vf("ValueAxisLabelFormat", b, this.abw);
            }
        }
        get y7() {
            return this.y5;
        }
        set y7(a) {
            let b = this.y5;
            if (a != b) {
                this.y5 = a;
                this.vf("ValueAxisLabelFormatSpecifiers", b, this.y5);
            }
        }
    }
    RadialBaseChart.$t = /*@__PURE__*/ markType(RadialBaseChart, 'RadialBaseChart', DomainChart.$);
    return RadialBaseChart;
})();
